#!/usr/bin/perl

use strict;
use Test::More tests => 1;

sub checkDBD
{
    my $dbms = shift;
    my $dbd = shift;
    my $found = eval("use DBD::$dbd;1");
    diag(sprintf("Checking for %-10s driver: %sfound", $dbms, $found ? "" : "not "));
    return $found;
}

my $dbdn = 0;

diag("");

$dbdn += checkDBD("PostgreSQL", "Pg");

$dbdn += checkDBD("MySQL", "mysql");

ok($dbdn, "Database driver found") or diag("No database driver found");
